<!DOCTYPE html>
<html>
<head>
    <script src="jquery.min.js"></script>
    <script>
        $(document).ready(function () {
            $.ajax({
                url: '/sys/rule/1',
                type: 'GET',
                contentType: 'application/json',
                success: function (result) {
                    console.info(result.data);
                    $("textarea#rule").val(result.data);
                },
                error: function (request, error) {
                }
            });

            function check() {
                $("#success").attr('value', '转换中');
                $.ajax({
                    url: '/sys/check',
                    type: 'POST',
                    data: JSON.stringify({"xml": $("#rule").val(), "addr": $("#addr").val()}),
                    dataType: 'json',
                    contentType: 'application/json',
                    success: function (result) {
                        $("textarea#result").val(result.data);

                    },
                    error: function (request, error) {
                        $("textarea#result").val(JSON.stringify(request));
                    },
                    complete: function () {
                        $("#success").val("开始 Fixing");
                    }
                });
            }

            $("#success").click(function () {
                check();
            });
            $("textarea#rule").keyup(function () {
                //check()
            });
            $("textarea#addr").keyup(function () {
                check()
            });
        });

    </script>
</head>
<body>
<h3>地址转换/修正</h3>


XML ：<textarea id="rule" name="rule" rows="25" cols="120"></textarea>
<br/>
地址列表:<textarea id="addr" name="addr" rows="10" cols="60">12号123</textarea> ==>
结果： <textarea id="result" name="addr" rows="10" cols="60"></textarea>
<br/>
<input id="success" type="button" value="开始 Fixing"/>
<br/>
</body>
</html>
